#include <bits/stdc++.h>
using namespace std;

int isPrime(int x, int y)
{
    if(x == y)
    {
        return 1;
    }

    int dr = max(x, y) / min(x, y);
    int count = 2;
    for(int i = 2; i*i <= dr; i++)
    {
        if(dr % i == 0)
        {
            count++;
        }
    }
    return count;
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n;
    cin >> n;
    int A[n];
    for(int i = 0; i < n; i++)
    {
        cin >> A[i];
    }

    bool t = true;
    for(int i = 0; i < n; i++)
    {
        if(A[i] > 2) t = false;
    }
    if(t)
    {
        for(int i = 0; i < n; i++)
        {
            cout << A[i] << " ";
        }
        return 0;
    }

    bool r = true;
    for(int i = 0; i < n; i++)
    {
        if(A[i] > 3) t = false;
    }
    if(t)
    {
        for(int i = 0; i < n; i++)
        {
            if(A[i] == 1) cout << 1 << " ";
            else cout << 2 << " ";
        }
        return 0;
    }


    vector <int> colors(n);
    colors[0] = 1;

    for(int i = 1; i < n; ++i)
    {
        bool yy = true;
        for(int j = 0; j < n; j++)
        {
            if(colors[j] == 1 && i != j)
            {
                int q = isPrime(A[i], A[j]);
                if(max(A[i],A[j]) % min(A[j], A[i]) == 0 && q == 2)
                {
                    yy = false;
                }
            }
        }
        if(yy)
        {
            colors[i] = 1;
        }
        else
        {
            colors[i] = 2;
        }

    }

    for(int i = 0; i < colors.size(); i++)
    {
        cout << colors[i] << " ";
    }

    return 0;
}